import { select, arc } from 'd3';

const svg = select('svg');
const height = +svg.attr('height');
const width = +svg.attr('width');
const CommonGroup = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2},${height / 2})`
  );

const circle = CommonGroup.append('circle')
  .attr('r', height / 2)
  .attr('fill', 'yellow')
  .attr('stroke', 'black');

const EyeSpace = 100;
const EyeYOffset = -80;
const EyeRadius = 30;
const EyebrowWidth = 60;
const EyebrowHeight = 12;
const EyebrowYOffset = -140;
const EyesGroup = CommonGroup.append('g');

const LeftEye = EyesGroup.append('circle')
  .attr('r', EyeRadius)
  .attr('cx', -EyeSpace)
  .attr('cy', EyeYOffset);

const RightEye = EyesGroup.append('circle')
  .attr('r', EyeRadius)
  .attr('cx', EyeSpace)
  .attr('cy', EyeYOffset);

const LeftEyebrow = EyesGroup.append('rect')
  .attr('x', -EyeSpace - EyebrowWidth / 2)
  .attr('y', EyebrowYOffset)
  .attr('width', EyebrowWidth)
  .attr('height', EyebrowHeight);
const RightEyebrow = EyesGroup.append('rect')
  .attr('x', EyeSpace - EyebrowWidth / 2)
  .attr('y', EyebrowYOffset)
  .attr('width', EyebrowWidth)
  .attr('height', EyebrowHeight);

const Mouth = CommonGroup.append('path').attr(
  'd',
  arc()({
    innerRadius: 150,
    outerRadius: 170,
    startAngle: 1.7,
    endAngle: Math.PI * 2 - 1.7,
  })
);
